CVE-2016-6987

Published on: 10/13/2016 12:00:00 AM UTC

Last Modified on: 03/23/2021 11:27:11 PM UTC

CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Certain versions of Flash Player from Adobe contain the following vulnerability:

Use-after-free vulnerability in Adobe Flash Player before 18.0.0.382 and 19.x through 23.x before 23.0.0.185 on Windows and OS X and before 11.2.202.637 on Linux allows attackers to execute arbitrary code via unspecified vectors, a different vulnerability than CVE-2016-6981.

  • CVE-2016-6987 has been assigned by URL Logo [email protected] to track the vulnerability - currently rated as - currently rated as CRITICAL severity.

CVSS3 Score: 9.8 - CRITICAL

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW NONE NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVSS2 Score: 10 - HIGH

Access
Vector
Access
Complexity
Authentication
NETWORK LOW NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
COMPLETE COMPLETE COMPLETE

CVE References

Description Tags Link
Adobe Flash Player APSB16-32 Multiple Use After Free Remote Code Execution Vulnerabilities Third Party Advisory
VDB Entry
cve.report (archive)
text/html
URL Logo BID 93492
Adobe Security Bulletin Patch
Vendor Advisory
helpx.adobe.com
text/html
URL Logo CONFIRM helpx.adobe.com/security/products/flash-player/apsb16-32.html
Adobe Flash Player Multiple Flaws Let Remote Users Bypass Security Restrictions and Execute Arbitrary Code - SecurityTracker Third Party Advisory
VDB Entry
www.securitytracker.com
text/html
URL Logo SECTRACK 1036985
Adobe Flash Player: Multiple vulnerabilities (GLSA 201610-10) — Gentoo security Third Party Advisory
security.gentoo.org
text/html
URL Logo GENTOO GLSA-201610-10
Red Hat Customer Portal Third Party Advisory
web.archive.org
text/html
Inactive LinkNot Archived
URL Logo REDHAT RHSA-2016:2057

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationAdobeFlash PlayerAllAllAllAll
ApplicationAdobeFlash PlayerAllAllAllAll
ApplicationAdobeFlash PlayerAllAllAllAll
ApplicationAdobeFlash PlayerAllAllAllAll
ApplicationAdobeFlash PlayerAllAllAllAll
ApplicationAdobeFlash PlayerAllAllAllAll
Operating
System
AppleMac OsAllAllAllAll
Operating
System
AppleMac OsAllAllAllAll
Operating
System
GoogleChrome OsAllAllAllAll
Operating
System
GoogleChrome OsAllAllAllAll
Operating
System
LinuxLinux KernelAllAllAllAll
Operating
System
LinuxLinux KernelAllAllAllAll
Operating
System
MicrosoftWindowsAllAllAllAll
Operating
System
MicrosoftWindowsAllAllAllAll
Operating
System
MicrosoftWindows 10AllAllAllAll
Operating
System
MicrosoftWindows 10AllAllAllAll
Operating
System
MicrosoftWindows 8.1AllAllAllAll
Operating
System
MicrosoftWindows 8.1AllAllAllAll
  • cpe:2.3:a:adobe:flash_player:*:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:*:*:*:*:esr:*:*:*:
  • cpe:2.3:a:adobe:flash_player:*:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:*:*:*:*:*:chrome:*:*:
  • cpe:2.3:a:adobe:flash_player:*:*:*:*:*:edge:*:*:
  • cpe:2.3:a:adobe:flash_player:*:*:*:*:*:internet_explorer_11:*:*:
  • cpe:2.3:o:apple:mac_os:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:mac_os:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:google:chrome_os:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:google:chrome_os:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:microsoft:windows:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:microsoft:windows:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:microsoft:windows_10:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:microsoft:windows_10:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:microsoft:windows_8.1:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:microsoft:windows_8.1:*:*:*:*:*:*:*:*: